Grasshopper

algorithmic modeling for Rhino

hi - have a code that procudes points.

i simply want to connect the points with a line

# Rhino

v -10.1583614752053 -33.77955722884313 0
v 0 0 0

l v1 v2 

does not work. rhino does not recognize this line definition.

Rhino requires something link this:

# Rhino 

v -10.1583614752053 -33.77955722884313 0 
v 0 0 0
cstype bspline 

deg 1
curv 0 35.27393930988746 1 2
parm u 0 0 35.27393930988746 35.27393930988746
end 

what's the trick for setting the right curv / parm u ?

can anybody help?

THX

Views: 234

Replies to This Discussion

What programming language are you doing this in? None of the above is familiar to me.

If you want to create a line in Rhino using commands, then it will look something like:

_Line w-10.1583,-33.7795,0 w0,0,0

If you want to do it with RhinoScript, then it will look like:

Rhino.AddLine(Array(-10.1583,-33.7795,0), Array(0,0,0))

If you want to do it using RhinoCommon and C#, it will look like:

Line line = new Line(-10.1583, -33.7795, 0, 0, 0, 0);

doc.Objects.AddLine(line);

Then there are also VB.NET, C++ and several ways of doing it using Python.

--

David Rutten

david@mcneel.com

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service